%global momorel 2
Name:           libquvi
Version:        0.9.4
Release: %{momorel}m%{?dist}
Summary:        A cross-platform library for parsing flash media stream

Group:          Applications/Internet
License:        AGPLv3+
URL:            http://quvi.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/quvi/0.9/%{name}/%{name}-%{version}.tar.xz
NoSource: 	0

BuildRequires:	lua-devel lua-socket
BuildRequires:  glib2-devel
BuildRequires:  libcurl-devel libgcrypt-devel libproxy-devel libquvi-scripts >= 0.9
BuildRequires:  libgcrypt-devel >= 1.7.5
BuildRequires:  doxygen
Requires:       libquvi-scripts

%description
Libquvi is a cross-platform library for parsing flash media stream
URLs with C API.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      quvi-devel <= 0.2.19
Provides:       quvi-devel = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-static --disable-rpath

%make
%make doc 

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -delete

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog COPYING README 
%{_libdir}/%{name}-0.9-%{version}.so
%{_mandir}/man3/%{name}.3*

%files devel
%{_includedir}/quvi-0.9
%{_libdir}/%{name}-0.9.so
%{_libdir}/pkgconfig/%{name}-0.9.pc
%{_mandir}/man7/quvi-object.7*

%changelog
* Wed Feb 01 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.4-2m)
- rebuild against libgcrypt-1.7.5

* Sun Dec 29 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.4-1m)
- update to 0.9.4

* Fri Jul 06 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.1-1m)
- import from fedora

